/*
 * Codetrail
 * 
 * Copyright (c) 2007-2008 Massachusetts Institute of Technology
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package codetrail.eclipse;

import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

import codetrail.eclipse.pref.CheckGroupFieldEditor;

/**
 * General preference page.
 * 
 * @author maxg
 */
public class EclipsePluginPrefPage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {

    public EclipsePluginPrefPage() {
        super(GRID);
        setPreferenceStore(Activator.activator().getPreferenceStore());
        setDescription("General settings for Codetrail.");
    }
    
    public void createFieldEditors() {
        addField(new CheckGroupFieldEditor(
                Activator.PREF_MODS_ENABLED,
                "&Modules enabled:",
                1,
                Activator.activator().modulesAvailable(),
                getFieldEditorParent()));
    }

    public void init(IWorkbench workbench) { }
}