/*
 * Codetrail
 * 
 * Copyright (c) 2007-2008 Massachusetts Institute of Technology
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package codetrail.eclipse;

import java.util.ArrayList;
import java.util.List;

import codetrail.*;

/**
 * Null-like graph space.
 * 
 * @author maxg
 */
class NullGraphSpace implements GraphSpace {
    
    public GraphSpace initialize(String xml) { return this; }
    
    public void close() { }
    
    public GraphSpace add(Tuple tuple) { return this; }
    
    public GraphSpace add(Tuple... tuples) { return this; }
    
    public GraphSpace add(List<Tuple> tuples) { return this; }
    
    public GraphSpace remove(Tuple tuple) { return this; }
    
    public GraphSpace remove(Tuple... tuples) { return this; }
    
    public GraphSpace remove(List<Tuple> tuples) { return this; }
    
    public GraphSpace removeAll(Tuple template) { return this; }
    
    public GraphSpace removeAll() { return this; }
    
    public Iterable<Tuple> get(Tuple template) { return new ArrayList<Tuple>(); }
    
    public Iterable<Solution> query(String queryString) { return new ArrayList<Solution>(); }
    
    public void update(String updateString) { }
    
    public void register(GraphSpaceListener listener, Tuple template, String queryString) { }
    
    public void unregister(GraphSpaceListener listener) { }
    
    public void register(GraphSpaceBase listener) { }
    
    public void unregister(GraphSpaceBase listener) { }
    
    public void register(GraphSpaceListener answerer, URIString source) { }
    
    public void ask(GraphSpaceListener listener, URIString source, String message, String... options) { }
    
    public void answer(URIString question, String answer) { }
    
    public long size() { return 0; }
    
    public String toXML() { return ""; }
    
}
