/*
 * Codetrail
 * 
 * Copyright (c) 2007-2008 Massachusetts Institute of Technology
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

package codetrail.eclipse.mod;

import static codetrail.eclipse.mod.DocGuesser.*;

import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

import codetrail.eclipse.Activator;
import codetrail.eclipse.pref.GraphSpaceListEditor;

/**
 * Documentation inference module preference page.
 * 
 * @author maxg
 */
public class DocGuesserPrefPage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {
    
    public DocGuesserPrefPage() {
        super(GRID);
        setPreferenceStore(Activator.activator().getPreferenceStore());
        setDescription("Codetrail: " + PROPERTIES.get("name") + " settings.");
    }
    
    public void createFieldEditors() {
        addField(new GraphSpaceListEditor(Activator.activator().space(),
                                          MOD_DOC_GUESSER,
                                          IGNORE,
                                          "&Ignored sites:",
                                          getFieldEditorParent()));
    }

    public void init(IWorkbench workbench) { }
    
    @Override public void createControl(Composite parent) {
        super.createControl(parent);
        getDefaultsButton().setEnabled(false);
    }
}
