/*
 * Codetrail
 * 
 * Copyright (c) 2007-2008 Massachusetts Institute of Technology
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

if (typeof Cc == "undefined") { Cc = Components.classes; }
if (typeof Ci == "undefined") { Ci = Components.interfaces; }

const BookmarksId = "@MOD_BOOKMARKS_CONTRACTID@";

var okButton;
var name;
var resourceTree;
var args = window.arguments[0];

function onLoad() {
    okButton = document.documentElement.getButton("accept");
    name = document.getElementById("name");
    resourceTree = document.getElementById("resource-tree");
    name.value = args.name;
    name.select();
    name.focus();
    onInput();
}

function onInput() {
    okButton.disabled = (name.value == "") || (resourceTree.view.selection.count < 1) ;
}

function onOk(event) {
    var bookmarks = Cc[BookmarksId].getService().wrappedJSObject;
    var start = new Object();
    var end = new Object();
    var ranges = resourceTree.view.selection.getRangeCount();
    for (var range = 0; range < ranges; range++) {
        resourceTree.view.selection.getRangeAt(range, start, end);
        for (var idx = start.value; idx <= end.value; idx++) {
            bookmarks.bookmarkInEclipse(args.url, name.value, resourceTree.view.getResourceAtIndex(idx));
        }
    }
}